/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoOcupacion;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoOcupacion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoOcupacion tipoOcupacion = (TipoOcupacion) o;

        Listcell lc = new Listcell(tipoOcupacion.getTipoocupacionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoOcupacion.getDesctipo());
        lc.setParent(lstm);

        lc = new Listcell(tipoOcupacion.getCvetipoocupacion());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoOcupacion);
    }
}
